ClamAV errors

16 views
Skip to first unread message

Tracy Popp

unread,
Oct 13, 2022, 3:12:25 PM10/13/22
to archivematica
Hello,

I am just getting started with a Archivematica pilot project for our organization. I'm having some troubles actually getting a transfer to succeed. It looks like the most recent error is related to ClamAV functioning. I'm running Archivematica on Centos 7. Here's the error log for one object in all of its glory:

archivematicaclamscan_v0.0: ERROR 2022-10-13 18:27:25,123 archivematica.mcp.client.clamscan.scan_file:354 Unexpected error scanning file /var/archivematica/sharedDirectory/currentlyProcessing/2401001-73f3030d-3351-45df-8ba0-41385a1522a5/objects/01) General Subject Files--1977/Courses and Curricula--1977/Estab Joint Bacc and Master of Bus Admin Prog/Burrell, Carolyn to Rogers, Robert^Zimmerman, Vernon May 27, 1977.pdf Traceback (most recent call last): File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 164, in version_attrs self._version_attrs AttributeError: 'ClamdScanner' object has no attribute '_version_attrs' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 64, in _init_socket self.clamd_socket.connect((self.host, self.port)) ConnectionRefusedError: [Errno 111] Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 345, in scan_file scanner.version(), File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 98, in version return self.version_attrs()[0] File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 166, in version_attrs self._version_attrs = clamav_version_parts(self.client.version()) File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 92, in version return self._basic_command("VERSION") File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 126, in _basic_command self._init_socket() File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 69, in _init_socket raise ConnectionError(self._error_message(e)) clamd.ConnectionError: Error 111 connecting localhost:3310. Connection refused. Error 111 connecting localhost:3310. Connection refused.Traceback (most recent call last): File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 164, in version_attrs self._version_attrs AttributeError: 'ClamdScanner' object has no attribute '_version_attrs' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 64, in _init_socket self.clamd_socket.connect((self.host, self.port)) ConnectionRefusedError: [Errno 111] Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/archivematica/MCPClient/job.py", line 113, in JobContext yield File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 375, in call job.set_status(scan_file(event_queue, *job.args[1:])) File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 363, in scan_file queue_event(file_uuid, date, scanner, passed, event_queue) File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 238, in queue_event scanner.program(), scanner.version(), scanner.virus_definitions() File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 98, in version return self.version_attrs()[0] File "/usr/lib/archivematica/MCPClient/clientScripts/archivematica_clamscan.py", line 166, in version_attrs self._version_attrs = clamav_version_parts(self.client.version()) File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 92, in version return self._basic_command("VERSION") File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 126, in _basic_command self._init_socket() File "/usr/share/archivematica/virtualenvs/archivematica/lib/python3.6/site-packages/clamd/__init__.py", line 69, in _init_socket raise ConnectionError(self._error_message(e)) clamd.ConnectionError: Error 111 connecting localhost:3310. Connection refused.

Any suggestions on resolving this error are appreciated.

Thanks!
Tracy Popp
Digital Preservation Coordinator
University of Illinois Urbana-Champaign

Sean Kalynuk

unread,
Oct 13, 2022, 3:27:26 PM10/13/22
to archiv...@googlegroups.com

Hi Tracy,

 

Do you have access to the server as root?

 

If so, you can check the status of the clamd@scan service:

 

systemctl status clamd@scan

 

If it is not running, you can start it with:

 

systemctl start clamd@scan

 

To ensure it is started every time the server is rebooted:

 

systemctl enable clamd@scan

 

If for some reason you don’t have it installed, it can be installed (from the EPEL repo) with:

 

yum install clamd

 

Configuration is in:

 

/etc/clamd.d/scan.conf

 

You should check to make sure the port is defined in that file with:

 

TCPSocket 3310

 

--

Sean

 

 

From: archiv...@googlegroups.com <archiv...@googlegroups.com> on behalf of Tracy Popp <tpo...@illinois.edu>
Date: Thursday, October 13, 2022 at 2:12 PM
To: archivematica <archiv...@googlegroups.com>
Subject: [archivematica] ClamAV errors

Caution: This message was sent from outside the University of Manitoba.

--
You received this message because you are subscribed to the Google Groups "archivematica" group.
To unsubscribe from this group and stop receiving emails from it, send an email to archivematic...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/archivematica/a7563144-4270-4888-a5f9-0853f92d476cn%40googlegroups.com.

Popp, Tracy Marie

unread,
Oct 13, 2022, 6:07:04 PM10/13/22
to archiv...@googlegroups.com

Hi Sean,

 

Thanks for this info. I’ll review if I have root privileges (or if I can get that access) and try out what you’ve suggested.

 

Thanks,

Tracy

--
You received this message because you are subscribed to a topic in the Google Groups "archivematica" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/archivematica/cYS8Cy20460/unsubscribe.
To unsubscribe from this group and all its topics, send an email to archivematic...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/archivematica/YT3PR01MB81649422674EAF8BC1E825BDE8259%40YT3PR01MB8164.CANPRD01.PROD.OUTLOOK.COM.

Reply all
Reply to author
Forward
0 new messages